Bug 439193 - Assertion failure in journal_next_log_block
Summary: Assertion failure in journal_next_log_block
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.3
Hardware: i386
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Josef Bacik
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On: 183119
Blocks: KernelPrio5.3
TreeView+ depends on / blocked
 
Reported: 2008-03-27 14:39 UTC by Josef Bacik
Modified: 2009-01-20 19:55 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 19:55:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for this bz. (3.60 KB, patch)
2008-05-21 15:29 UTC, Josef Bacik
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Comment 1 Josef Bacik 2008-05-21 15:29:33 UTC
Created attachment 306266 [details]
patch for this bz.

Here is the patch that will fix this problem.

Comment 4 Don Zickus 2008-07-18 20:07:08 UTC
in kernel-2.6.18-98.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 8 Marc Bejarano 2008-12-23 23:14:22 UTC
just so it's documented, i've been hitting this assertion regularly in the real world on an 8-core MySQL server.  see SR 1880910.

Comment 9 Josef Bacik 2008-12-24 12:56:34 UTC
please test one of the kernels above, the fix is in there.

Comment 11 Marc Bejarano 2009-01-16 21:15:16 UTC
hi, josef.  shortly after seeing the problem, we switched to using 2.6.27.10 straight from kernel.org.  it includes the fix that don has in his test kernels.  i installed one of don's test kernels, but i'm not going to reboot unless i have to.

thanks,
marc

Comment 12 errata-xmlrpc 2009-01-20 19:55:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.